## kio-extras 24.12.2

=== debian/changelog ===
kio-extras (4:24.12.2-2) unstable; urgency=medium

  * Move D-Bus service files from kio-extras-data to kio-extras, to match the
    architecture of the installed service they refer to (Closes: #1072344)
    - bump breaks/replaces accordingly
  * Move bits in /usr/share/kio_filenamesearch, /usr/share/mime/packages,
    and /usr/share/qlogging-categories6 from kio-extras to kio-extras-data,
    as they are pure data files
    - add breaks/replaces accordingly
  * Sort, simplify, and drop leading slashes from paths in install files.
  * Simplify lintian overrides.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Feb 2025 07:40:36 +0100

kio-extras (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).
  * Re-enable support for smb (Closes: #1088117).

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Feb 2025 18:27:07 +0100

kio-extras (4:24.12.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Use the new build-dependency package name libtag-dev
    to replace libtag1-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 19:38:25 -0500

kio-extras (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 22:24:37 +0100

kio-extras (4:24.08.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks/Replaces against older kio to fix the bookworm->trixie
    upgrade path. (Closes: #1089145)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Dec 2024 15:05:14 +0100

kio-extras (4:24.08.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Review copyright information.
  * Build with hardening=+all build hardening flag.
  * Move desktop files to the main package.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 10:13:10 +0100

kio-extras (4:24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:57:14 +0100
