=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: kio-extras
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                gperf,
-               kdsoap-ws-discovery-client-dev,
                libappimage-dev (>= 0.1.10~) [linux-any],
                libimobiledevice-dev,
-               libkdsoap-qt6-dev (>= 2.0.0~),
-               libkexiv2qt6-dev (>= 24.12.1~),
+               libkexiv2qt6-dev,
+               libkdsoapwsdiscoveryclient-dev,
                libkf6archive-dev (>= 6.0.0~),
+               libkf6codecs-dev,
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -39,7 +38,7 @@
                libplist-dev,
                libsmbclient-dev,
                libssh-dev (>= 0.8.3~),
-               libtag1-dev (>= 1.11~),
+               libtag-dev (>= 1.11~),
                libtirpc-dev,
                libxcursor-dev,
                pkgconf,
@@ -50,8 +49,8 @@
                shared-mime-info (>= 1.3~),
 Standards-Version: 4.7.0
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git
 Rules-Requires-Root: no
 
 Package: kio-extras
@@ -59,6 +58,12 @@
 Depends: kio-extras-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: libkf6kcmutils-bin,
+            systemsettings,
+Breaks: kio (<< 5.115.0-7~),
+        kio-extras-data (<< 4:24.12.2-2~),
+Replaces: kio (<< 5.115.0-7~),
+          kio-extras-data (<< 4:24.12.2-2~),
 Description: Extra functionality for kioslaves
  A kioslave is a plugin designed to be intimately familiar with a certain
  protocol, so that a standardized interface can be used to get at data from
@@ -72,7 +77,9 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
 Breaks: kio-mtp (<< 0.75+git20140304-1ubuntu1~),
+        kio-extras (<< 4:24.12.2-2~),
 Replaces: kio-mtp (<< 0.75+git20140304-1ubuntu1~),
+          kio-extras (<< 4:24.12.2-2~),
 Description: Extra functionality for kioslaves data files
  A kioslave is a plugin designed to be intimately familiar with a certain
  protocol, so that a standardized interface can be used to get at data from
