=== debian/changelog ===
kio-extras (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:43:05 +0000

kio-extras (4:24.12.2-2ubuntu2) plucky; urgency=medium

  * Rebuild against libimobiledevice-1.0.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Mar 2025 11:03:29 +0000

kio-extras (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 07:52:27 +0000

kio-extras (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:53 +0000

kio-extras (4:24.12.1-0ubuntu3) plucky; urgency=medium

  * Transition to build dep libkdsoapwsdiscoveryclient-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Feb 2025 11:41:09 +0000

kio-extras (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * Transition back to build dep libkdsoap-dev.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Feb 2025 12:16:17 +0000
