=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: kio-extras
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                gperf,
                libappimage-dev (>= 0.1.10~) [linux-any],
                libimobiledevice-dev,
-               libkexiv2qt6-dev,
                libkdsoapwsdiscoveryclient-dev,
+               libkexiv2qt6-dev (>= 24.12.3~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6codecs-dev,
                libkf6config-dev (>= 6.0.0~),
@@ -26,7 +27,7 @@
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libkf6solid-dev (>= 6.0.0~),
+               libkf6solid-dev (>= 6.11.0-0ubuntu2~),
                libkf6syntaxhighlighting-dev (>= 6.0.0~),
                libkf6textwidgets-dev (>= 6.0.0~),
                libmtp-dev (>= 1.1.2~),
@@ -49,8 +50,8 @@
                shared-mime-info (>= 1.3~),
 Standards-Version: 4.7.0
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
 Rules-Requires-Root: no
 
 Package: kio-extras
