## kio-extras 25.04.2

=== debian/changelog ===
kio-extras (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.1).
    - Image thumbnailer: add image/tiff mime type. (kde#503223)
    - Imagethumbnail: Add MIME types for PSD, QOI, DDS.
    - CMake: Use find_package(Qt6::GuiPrivate) to fix build for qtbase dev.
  * New upstream release (25.04.2).
    - Translation updates.
  * Update build-deps and deps with the info from cmake.
  * Backport upstream commits:
    - Fix pubkey + keyboard-interactive authentication failure using the
    sftp:// protocol when the remote server is setup with 2FA.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jun 2025 23:50:05 +0200

kio-extras (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:26:55 +0200

kio-extras (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90). (Closes: #1101514)
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Refresh copyright information.
  * Add lintian overrides for source containing exe files, used as test
    data for the exe thumbnailer.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:18:44 +0200
